﻿using System;
using System.Collections.Generic;
using System.Linq;
using ScrumViewer.Models;
using ScrumViewer.Services;

namespace ScrumViewer.MockData
{
    public class MockStoryBoard
    {
        private static Models.StoryBoard storyBoard;
        private static List<TeamMember> users;
        
        private static void InitStoryBoard()
        {
            users = MockUsers.GetUsers();
            storyBoard = new Models.StoryBoard(new CardNoGeneratorService());
            Sprint sprint = new Sprint(3, 5, "icon-sprint3");
           // TeamMember teamMember = new TeamMember(1, "Henrik H", "heho", "1234", "Developer", "img/heho.jpg");

            UserStory userStory4 = new UserStory(4, "Delete Story", "The ability to remove a story from the Board ", 0,
                3, (TeamMember)users[0], 0,
                "As a team member I want to delete a cancelled or out of date Story/task/fix from the Story Bord So the story is no longer visible",
                "The user can select and remove a Userstory from the board, the user must be asked for confirmation before the the story is deleted and have the posibility to regret ....",
                10, DateTime.Now, "Low", sprint);


            storyBoard.AddCard(new UserStory(1,"Create Story", "The abillity to create new stories",0, 5, (TeamMember)users[1], 0, "As P.O I want to create a new Story So it can be handled in the project", "The new Card is created and added to the board",10, DateTime.Today, "Medium", sprint));
            storyBoard.AddCard(new UserStory(2,"Edit Story","The ability to update a story", 0, 2, (TeamMember)users[0], 0, "As P.O or team member I want to edit a Story So it can be updated e.g. if the runner/driver (the team member that is implementing the story) is replaced", "The update of the Card is visible on the board",10, DateTime.Today, "Medium", sprint));
            storyBoard.AddCard(new UserStory(3, "Move Story", "The ability to move a story from one state to the next",0, 4, (TeamMember)users[1], 0, "As team member I want to move a Story from one state to the next, so it will be visible that the story have changed state", "The user can move a story from one state to the next state. After the change of state the story is removed from the current collum in the board and inserted in the next collum. It must be possible to move back a story!", 9, DateTime.Now, "Large", sprint));
            storyBoard.AddCard(new UserStory(4, "Delete Story", "The ability to remove a story from the Board ", 0, 3, (TeamMember)users[0], 0, "As a team member I want to delete a cancelled or out of date Story/task/fix from the Story Bord So the story is no longer visible","The user can select and remove a Userstory from the board, the user must be asked for confirmation before the the story is deleted and have the posibility to regret ....", 10, DateTime.Now, "Low", sprint));
            storyBoard.AddCard(new Task(1, "Delete Story task", "The ability to select a story from the Board ", 0, 3, (TeamMember)users[0], 0,  userStory4, DateTime.Now, sprint));
        }

        public static Models.StoryBoard GetMockStoryBoard()
        {
            InitStoryBoard();
            return storyBoard;
        }
    }
}
