using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using ScrumViewer.Models;


namespace ScrumViewer.Pages
{
    public class ProductBacklogDeleteCardModel : PageModel
    {
        [BindProperty]
        public Card Card { get; set; }
        public Models.StoryBoard StoryBoard { get; private set; }

        private StoryBoardService storyBoardService;

        public ProductBacklogDeleteCardModel(StoryBoardService storyBoardService)
        {
            this.storyBoardService = storyBoardService;
        }

        public void OnGet(string id)
        {
            Card = storyBoardService.GetUserStory(id);
            StoryBoard = storyBoardService.GetStoryBoard();
        }

        public IActionResult OnPost(string id)
        {
            Card = storyBoardService.GetUserStory(id);
            storyBoardService.DeleteUserStory(Card.GetId());
            return RedirectToPage("ProductBacklog");
        }
    }
}
