﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using ScrumViewer.Models;


namespace ScrumViewer.Services
{
    public class CardNoGeneratorService
    {
        private Dictionary<int,int> userStoryTask = new Dictionary<int,int>();
        private static int nextBugFixNo = 1;
        private static int nextBacklogTaskNo = 1;


        public int GenerateCardNo(Card card)
        {
            if (card is UserStory) return GenerateStoryNo(card);
            if (card is Models.Task) return GenerateTaskNo(card);
            return nextBugFixNo++;
        }

        public int GenerateStoryNo(Card card)
        {
            int nextNo = 0;
            if (userStoryTask.Count > 0) { nextNo = userStoryTask.Keys.Max(); }
            
            userStoryTask.Add(++nextNo, 0);
            return nextNo;
        }

        public int GenerateTaskNo(Card card)
        {
            if (((Models.Task) card).UserStory != null)
            {
                int nextNo = userStoryTask[((Models.Task)card).UserStory.No];
                userStoryTask[((Models.Task)card).UserStory.No] = ++nextNo;
                return nextNo;
            }

            return nextBacklogTaskNo++;
        }


    }
}
